summaryrefslogtreecommitdiff
path: root/contrib/vagrant/bootstrap.ubuntu.sh
AgeCommit message (Collapse)Author
2019-04-03gnunet-qr: Update documentation and scripts to changed dependencies.Hartmut Goebel
Requirement python-zbar is gone, and thus the requirement for Python 2.7. Instead development package for libzbar is required now.
2017-02-25sh is sufficient, does not seem to require bash specificallyChristian Grothoff
2017-02-25Add Vagrant file for developmentAntonio Ojea
This patch adds a vagranfile that installs the required dependencies to compile gnunet. To be able to use it you need to cd to the contrib/vagrant directory, run "vagrant up" and wait until the VM is provisioned. Once it finish the provisioning you can login in the VM with "vagrant ssh" The VM mounts the source code of gnunet in the folder /gnunet, thus you can edit your code in the host and compile it in the VM. Signed-off-by: Antonio Ojea <aojea@midokura.com>